|  | reflex::Unicode::Tables Class Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
reflex::Unicode::Tables Class Reference

`#include <unicode.h>`

Inheritance diagram for reflex::Unicode::Tables:
[legend]
Collaboration diagram for reflex::Unicode::Tables:
[legend]

## Public Types
typedef std::map< int, const int * > | Compose
Public Types inherited from reflex::Posix::Tables
typedef std::map< const char *, const int *, lt > | Range

## Public Member Functions
| Tables ()
Public Member Functions inherited from reflex::Posix::Tables
| Tables ()

## Static Public Member Functions
static int | toupper (int c)
static int | tolower (int c)

## Public Attributes
Compose | compose
Public Attributes inherited from reflex::Posix::Tables
Range | range

## Private Member Functions
void | block_scripts ()
void | language_scripts ()
void | letter_scripts ()
void | composer ()

## Member Typedef Documentation

typedef std::map<int,const int*> reflex::Unicode::Tables::Compose

## Constructor & Destructor Documentation

reflex::Unicode::Tables::Tables | ( |  | ) |

## Member Function Documentation

void reflex::Unicode::Tables::block_scripts | ( |  | ) |
| private

void reflex::Unicode::Tables::composer | ( |  | ) |
| private

void reflex::Unicode::Tables::language_scripts | ( |  | ) |
| private

void reflex::Unicode::Tables::letter_scripts | ( |  | ) |
| private

static int reflex::Unicode::Tables::tolower | ( | int | c | ) |
| static

static int reflex::Unicode::Tables::toupper | ( | int | c | ) |
| static

## Member Data Documentation

Compose reflex::Unicode::Tables::compose

The documentation for this class was generated from the following file:

- unicode.h